php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #47855 VC6 Thread Safe MSI install fails
Submitted: 2009-03-31 23:27 UTC Modified: 2009-09-30 13:45 UTC
Votes:4
Avg. Score:4.2 ± 0.4
Reproduced:4 of 4 (100.0%)
Same Version:3 (75.0%)
Same OS:1 (25.0%)
From: mfaust at usinternet dot com Assigned: jmertic (profile)
Status: Closed Package: Windows Installer
PHP Version: 5.3 RC2 OS: Windows XP SP3
Private report: No CVE-ID: None
 [2009-03-31 23:27 UTC] mfaust at usinternet dot com
Description:
------------
Towards the end of the install process the installer prompts with "There is a problem with this Windows installer package. A script required for this install to complete could not be run. Contact your support personnel or package vendor." Clicking on "OK" takes you to once last install screen stating PHP 5.3.0 Setup Wizard ended prematurely. As far as I can tell the steps that are missed are modifying httpd.conf and mime.types for the Apache 2.2 install. This happens on two separately configured Windows XP SP3 machines. This happens in PHP 5.3.0 RC1 as well as 2009-03-31 SNAP


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2009-04-14 18:48 UTC] rosswholland at btinternet dot com
I have Vista Home Premium, and get this whichever of the msi files I 
try to run. I have tried:

php-5.2.9-2-win32-installer
php-5.2.9-2-Win32-VC6-x86
php-5.2-win32-VC6-x86-latest

I want to use PHP on Apache 2.2 server with MySql, but can't seem to 
get is all working properly. Have all my code under sub-directories 
under htdocs directory. Have managed to get it to run php for some 
but not other, and MySQL does not seem to be set up??? Help?
 [2009-04-15 17:13 UTC] jmertic@php.net
Please try using this CVS snapshot:

  http://snaps.php.net/php5.3-latest.tar.gz
 
For Windows:

  http://windows.php.net/snapshots/


 [2009-04-23 01:00 UTC] php-bugs at lists dot php dot net
No feedback was provided for this bug for over a week, so it is
being suspended automatically. If you are able to provide the
information that was originally requested, please do so and change
the status of the bug back to "Open".
 [2009-05-08 13:33 UTC] mfaust at usinternet dot com
This happens with the most recent RC2 release installer (VC6 Thread Safe).
 [2009-05-08 13:35 UTC] mfaust at usinternet dot com
This still happens with the recent RC2 release (VC6 Thread Safe)
 [2009-05-08 16:48 UTC] tc_loss at yahoo dot com
This happened on install of php 5.3 ORC1 and 2 Thread safe on Windows Vista Home Basic 64bit. for PHP 5.3 ORC1 it worked even though I got the error. For PHP5.3 ORC2 Apache 2.2.11 fails to start after install.
 [2009-05-19 18:55 UTC] jmertic@php.net
Please try to install using admin privileges, such as from an administrator console.
 [2009-05-19 19:05 UTC] mfaust at usinternet dot com
The Windows user account is already part of the administrators group on both XP SP3 machines and does not have any domain restrictions or other policy limitations.
 [2009-05-21 02:41 UTC] jmertic@php.net
Please try using this CVS snapshot:

  http://snaps.php.net/php5.3-latest.tar.gz
 
For Windows:

  http://windows.php.net/snapshots/


 [2009-05-21 02:41 UTC] jmertic@php.net
This bug has been fixed in CVS.

Snapshots of the sources are packaged every three hours; this change
will be in the next snapshot. You can grab the snapshot at
http://snaps.php.net/.
 
Thank you for the report, and for helping us make PHP better.


 [2009-09-26 15:55 UTC] pajoye@php.net
Reopen as reported in #49681.

John, can you take a look at it please?
 [2009-09-30 13:44 UTC] svn@php.net
Automatic comment from SVN on behalf of jmertic
Revision: http://svn.php.net/viewvc/?view=revision&revision=288996
Log: Bug #47855 - Change the VBScript custom actions to be deferred and not to impersonate the installing user, so the apache config changes are made as an elevated privileges user. Solves problem of not being able to install with Apache under Windows Vista/2008/7.
 [2009-09-30 13:45 UTC] jmertic@php.net
This bug has been fixed in SVN.

Snapshots of the sources are packaged every three hours; this change
will be in the next snapshot. You can grab the snapshot at
http://snaps.php.net/.
 
Thank you for the report, and for helping us make PHP better.

Changed from using immediate custom actions to deferred ones that run with elevated privileges.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Thu May 26 05:05:45 2022 UTC